| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions
qx::IxFactory Class Reference
QxFactory : QxOrm library factory pattern used by introspection engine

qx::IxFactory : common interface for all classes that can be created dynamically using the class name More...

`#include <IxFactory.h>`

Inheritance diagram for qx::IxFactory:

List of all members.

## Public Member Functions
| IxFactory (const QString &sKey)
virtual | ~IxFactory ()
virtual qx::any | createObject (bool bRawPointer=false) const =0
virtual void * | createObjectNudePtr () const =0
virtual const std::type_info & | typeInfo () const =0
## Protected Attributes
QString | m_sKeyFactory
| Factory key used by the collection QxFactoryX.
## Private Member Functions
| IxFactory (const IxFactory &other)
IxFactory & | operator= (const IxFactory &other)

## Detailed Description

qx::IxFactory : common interface for all classes that can be created dynamically using the class name

Definition at line 58 of file IxFactory.h.

## Constructor & Destructor Documentation

qx::IxFactory::IxFactory | ( | const QString & | sKey | ) |

virtual qx::IxFactory::~IxFactory | ( |  | ) | `[virtual]`

qx::IxFactory::IxFactory | ( | const IxFactory & | other | ) | `[inline, private]`

Definition at line 79 of file IxFactory.h.

## Member Function Documentation

virtual qx::any qx::IxFactory::createObject | ( | bool | bRawPointer = `false` | ) | const`[pure virtual]`

Implemented in qx::QxFactory< T >.

virtual void* qx::IxFactory::createObjectNudePtr | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxFactory< T >.

IxFactory& qx::IxFactory::operator= | ( | const IxFactory & | other | ) | `[inline, private]`

Definition at line 80 of file IxFactory.h.

virtual const std::type_info& qx::IxFactory::typeInfo | ( |  | ) | const`[pure virtual]`

Implemented in qx::QxFactory< T >.

## Member Data Documentation

QString qx::IxFactory::m_sKeyFactory`[protected]`

Factory key used by the collection QxFactoryX.

Definition at line 63 of file IxFactory.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxFactory/IxFactory.h